<a name="menu">目录</a>
1. [字典](#dics)
1. [列表](#list)
1. [详情](#info)
1. [添加/修改](#save)

## **<a name="dics"> 字典</a>**
[返回到目录](#menu)
##### URL
[/web/saas/channelCtl/dics]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

{}

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": [
        {
            "id": 50000,                                    // id
            "name": "name2",                                // 名称
            "short_name": "name2",                          // 简称，显示哪个问产品
        },
    ]
    "requestid": "4d41d50ef6fa4638a55913df36f76f79"
}

```

## **<a name="list"> 列表</a>**
[返回到目录](#menu)
##### URL
[/web/saas/channelCtl/page]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

{
    "currentPage": "1",
    "pageSize": "10",
    "name": ""                 // 名称
}

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 2,
        "rows": [
            {
                "id": "13575990142000991",      // 渠道编号
                "name" : "",                    // 渠道名称,
                "short_name" : "",              // 渠道简称,
                "credit_code" : "",             // 统一社会信用代码,
                "business_lincense_img" : "",   // 营业执照图,
                "residence" : "",               // 住所,
                "tax_type" : "",                // 纳税人类型 00一般纳税人 10小规模纳税人,
                "business_scope" : "",          // 经营范围,
                "term" : "",                    // 经营期限 1长期 2固定日期,
                "term_end" : "",                // 经营期限固定日期,
                "idcard_front" : "",            // 身份证正面照片,
                "idcard_back" : "",             // 身份证反面照片,
                "legal_idno" : "",              // 身份证号码,
                "legal_name" : "",              // 法人姓名,
                "validity" : "",                // 经营期限 1长期 2固定日期,
                "validity_end" : "",            // 经营期限固定日期,
                "account_name" : "",            // 对公账户-账户名称,
                "account_bank_name" : "",       // 对公账户-开户行,
                "account_bank_no" : "",         // 对公账户-开户账号,
                "account_mobile" : "",          // 对公账户-联系电话,
                "contact_man" : "",             // 联系人-联系人姓名,
                "contact_mobile" : "",          // 联系电话,
                "contact_email" : "",           // 联系邮箱
            },
        ]
    },
    "requestid": "4d41d50ef6fa4638a55913df36f76f79"
}

```


## **<a name="info"> 详情</a>**
[返回到目录](#menu)
##### URL
[/web/saas/channelCtl/info]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": ""            // id
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
                "id": "13575990142000991",      // 渠道编号
                "name" : "",                    // 渠道名称,
                "short_name" : "",              // 渠道简称,
                "credit_code" : "",             // 统一社会信用代码,
                "business_lincense_img" : "",   // 营业执照图,
                "residence" : "",               // 住所,
                "tax_type" : "",                // 纳税人类型 00一般纳税人 10小规模纳税人,
                "business_scope" : "",          // 经营范围,
                "term" : "",                    // 经营期限 1长期 2固定日期,
                "term_end" : "",                // 经营期限固定日期,
                "idcard_front" : "",            // 身份证正面照片,
                "idcard_back" : "",             // 身份证反面照片,
                "legal_idno" : "",              // 身份证号码,
                "legal_name" : "",              // 法人姓名,
                "validity" : "",                // 经营期限 1长期 2固定日期,
                "validity_end" : "",            // 经营期限固定日期,
                "account_name" : "",            // 对公账户-账户名称,
                "account_bank_name" : "",       // 对公账户-开户行,
                "account_bank_no" : "",         // 对公账户-开户账号,
                "account_mobile" : "",          // 对公账户-联系电话,
                "contact_man" : "",             // 联系人-联系人姓名,
                "contact_mobile" : "",          // 联系电话,
                "contact_email" : "",           // 联系邮箱
                "created_at": "9",              // 创建时间
        },
        "requestid": "cf6320a1b615423b8a9ceb3b66b713f1"
    }

```

## **<a name="save"> 添加/修改</a>**
[返回到目录](#menu)
##### URL
[/web/saas/channelCtl/save]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "id": 0,                        // id，为空或者不填写该字段时新增，指定具体id时修改
        "name" : "",                    // 渠道名称,
        "short_name" : "",              // 渠道简称,
        "credit_code" : "",             // 统一社会信用代码,
        "business_lincense_img" : "",   // 营业执照图,
        "residence" : "",               // 住所,
        "tax_type" : "",                // 纳税人类型 00一般纳税人 10小规模纳税人,
        "business_scope" : "",          // 经营范围,
        "term" : "",                    // 经营期限 1长期 2固定日期,
        "term_end" : "",                // 经营期限固定日期,
        "idcard_front" : "",            // 身份证正面照片,
        "idcard_back" : "",             // 身份证反面照片,
        "legal_idno" : "",              // 身份证号码,
        "legal_name" : "",              // 法人姓名,
        "validity" : "",                // 经营期限 1长期 2固定日期,
        "validity_end" : "",            // 经营期限固定日期,
        "account_name" : "",            // 对公账户-账户名称,
        "account_bank_name" : "",       // 对公账户-开户行,
        "account_bank_no" : "",         // 对公账户-开户账号,
        "account_mobile" : "",          // 对公账户-联系电话,
        "contact_man" : "",             // 联系人-联系人姓名,
        "contact_mobile" : "",          // 联系电话,
        "contact_email" : "",           // 联系邮箱
        "created_at": "9",              // 创建时间    }

```


#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {}
    }

```
