<a name="menu">目录</a>
1. [字典](#dics)
1. [商户列表](#page)
1. [新增/修改](#save)
1. [详情](#info)
1. [签约](#sign)
1. [签约列表](#signPage)
1. [商户账号列表](#userPage)
1. [账号信息](#userInfo)
1. [账号编辑](#save)


## **<a name="dics"> 字典</a>**
[返回到目录](#menu)
##### URL
[/web/saas/merchantCtl/dics]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {}
```

#### 返回结果
```javascript


{
    "status": 0,
    "msg": "success",
    "data": [
        {
            "id": 110361382269,         // 商户id
            "name": "司机宝"             // 商户名称
            "short_name": "去测1"        // 简称
        },
    ]
}
```

## **<a name="page"> 商户列表</a>**
[返回到目录](#menu)
##### URL
[/web/saas/merchantCtl/page]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "currentPage": "1",
        "pageSize": "10",
        "name": "",                 // 商户名称
        "createBegin": "",          // 开始时间
        "createEnd": "",            // 结束时间
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 10,
            "rows": [
                {
                    "id": "13575990142000991",      // 商户编号
                    "name" : "",                    // 商户名称,
                    "short_name" : "",              // 商户简称,
                    "credit_code" : "",             // 统一社会信用代码,
                    "business_lincense_img" : "",   // 营业执照图,
                    "residence" : "",               // 住所,
                    "tax_type" : "",                // 纳税人类型 00一般纳税人 10小规模纳税人,
                    "business_scope" : "",          // 经营范围,
                    "term" : "",                    // 经营期限 1长期 2固定日期,
                    "term_end" : "",                // 经营期限固定日期,
                    "idcard_front" : "",            // 身份证正面照片,
                    "idcard_back" : "",             // 身份证反面照片,
                    "legal_idno" : "",              // 身份证号码,
                    "legal_name" : "",              // 法人姓名,
                    "validity" : "",                // 经营期限 1长期 2固定日期,
                    "validity_end" : "",            // 经营期限固定日期,
                    "account_name" : "",            // 对公账户-账户名称,
                    "account_bank_name" : "",       // 对公账户-开户行,
                    "account_bank_no" : "",         // 对公账户-开户账号,
                    "account_mobile" : "",          // 对公账户-联系电话,
                    "contact_man" : "",             // 联系人-联系人姓名,
                    "contact_mobile" : "",          // 联系电话,
                    "contact_email" : "",           // 联系邮箱

                    "main_id": 50000,               // 签约主体id
                    "begin_date": "2020-03-19",     // 签约开始时间
                    "end_date": "2025-03-19",       // 签约结束时间
                    "bm_reg_price": 5.11,           // 个体户注册单价
                    "invoice_service_rate": 6.01,   // 开票服务费比率
                    "trans_service_rate": 16.1,     // 转账服务费比率

                    // 渠道对象
                    "channel": {                    
                        "id": "",                   // 渠道id
                        "name": "",                 // 渠道名称
                        "short_name": "",           // 渠道简称   
                    },

                    // 签约主体对象
                    "main": {
                        "name": "name2",            // 签约主体名称
                    }
                },
            ]
        },
        "requestid": "081f13fd9dd5441094487eeff6d0ff6f"
    }

```


## **<a name="save"> 添加/修改</a>**
[返回到目录](#menu)
##### URL
[/web/saas/merchantCtl/save]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "id": 0,                        // id，为空或者不填写该字段时新增，指定具体id时修改
        "channel_id": "13575990531",    // 渠道id
        "name" : "",                    // 商户名称,
        "short_name" : "",              // 商户简称,
        "credit_code" : "",             // 统一社会信用代码,
        "business_lincense_img" : "",   // 营业执照图,
        "residence" : "",               // 住所,
        "tax_type" : "",                // 纳税人类型 00一般纳税人 10小规模纳税人,
        "business_scope" : "",          // 经营范围,
        "term" : "",                    // 经营期限 1长期 2固定日期,
        "term_end" : "",                // 经营期限固定日期,
        "idcard_front" : "",            // 身份证正面照片,
        "idcard_back" : "",             // 身份证反面照片,
        "legal_idno" : "",              // 身份证号码,
        "legal_name" : "",              // 法人姓名,
        "validity" : "",                // 经营期限 1长期 2固定日期,
        "validity_end" : "",            // 经营期限固定日期,
        "account_name" : "",            // 对公账户-账户名称,
        "account_bank_name" : "",       // 对公账户-开户行,
        "account_bank_no" : "",         // 对公账户-开户账号,
        "account_mobile" : "",          // 对公账户-联系电话,
        "contact_man" : "",             // 联系人-联系人姓名,
        "contact_mobile" : "",          // 联系电话,
        "contact_email" : "",           // 联系邮箱
        "created_at": "9",              // 创建时间    
    }

```


#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {}
    }

```


## **<a name="info"> 详情</a>**
[返回到目录](#menu)
##### URL
[/web/saas/merchantCtl/info]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": ""            // id
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
                "id": "13575990142000991",      // 渠道编号
                "channel_id": "13575990531",    // 渠道id
                "name" : "",                    // 渠道名称,
                "short_name" : "",              // 渠道简称,
                "credit_code" : "",             // 统一社会信用代码,
                "business_lincense_img" : "",   // 营业执照图,
                "residence" : "",               // 住所,
                "tax_type" : "",                // 纳税人类型 00一般纳税人 10小规模纳税人,
                "business_scope" : "",          // 经营范围,
                "term" : "",                    // 经营期限 1长期 2固定日期,
                "term_end" : "",                // 经营期限固定日期,
                "idcard_front" : "",            // 身份证正面照片,
                "idcard_back" : "",             // 身份证反面照片,
                "legal_idno" : "",              // 身份证号码,
                "legal_name" : "",              // 法人姓名,
                "validity" : "",                // 经营期限 1长期 2固定日期,
                "validity_end" : "",            // 经营期限固定日期,
                "account_name" : "",            // 对公账户-账户名称,
                "account_bank_name" : "",       // 对公账户-开户行,
                "account_bank_no" : "",         // 对公账户-开户账号,
                "account_mobile" : "",          // 对公账户-联系电话,
                "contact_man" : "",             // 联系人-联系人姓名,
                "contact_mobile" : "",          // 联系电话,
                "contact_email" : "",           // 联系邮箱
                "created_at": "9",              // 创建时间

                // 签约信息
                "sign": {
                    "main_id": 50000,               // 签约主体id
                    "begin_date": "2020-03-19",     // 签约开始时间
                    "end_date": "2025-03-19",       // 签约结束时间
                    "bm_reg_price": 5.11,           // 个体户注册单价
                    "invoice_service_rate": 6.01,   // 开票服务费比率
                    "trans_service_rate": 16.1,     // 转账服务费比率
                },

                // 渠道对象
                "channel": {                    
                    "id": "",                   // 渠道id
                    "name": "",                 // 渠道名称
                    "short_name": "",           // 渠道简称   
                },
        },
        "requestid": "cf6320a1b615423b8a9ceb3b66b713f1"
    }

```


## **<a name="signPage"> 签约列表</a>**
[返回到目录](#menu)
##### URL
[/web/saas/merchantCtl/signPage]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "currentPage": "1",
        "pageSize": "10",
        "name": "",                 // 商户名称
        "createBegin": "",          // 开始时间
        "createEnd": "",            // 结束时间
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 10,
            "rows": [
                {
                    "id": "13575990142000991",      // 商户编号
                    "name" : "",                    // 商户名称,
                    "short_name" : "",              // 商户简称,
                    "credit_code" : "",             // 统一社会信用代码,
                    "business_lincense_img" : "",   // 营业执照图,
                    "residence" : "",               // 住所,
                    "tax_type" : "",                // 纳税人类型 00一般纳税人 10小规模纳税人,
                    "business_scope" : "",          // 经营范围,
                    "term" : "",                    // 经营期限 1长期 2固定日期,
                    "term_end" : "",                // 经营期限固定日期,
                    "idcard_front" : "",            // 身份证正面照片,
                    "idcard_back" : "",             // 身份证反面照片,
                    "legal_idno" : "",              // 身份证号码,
                    "legal_name" : "",              // 法人姓名,
                    "validity" : "",                // 经营期限 1长期 2固定日期,
                    "validity_end" : "",            // 经营期限固定日期,
                    "account_name" : "",            // 对公账户-账户名称,
                    "account_bank_name" : "",       // 对公账户-开户行,
                    "account_bank_no" : "",         // 对公账户-开户账号,
                    "account_mobile" : "",          // 对公账户-联系电话,
                    "contact_man" : "",             // 联系人-联系人姓名,
                    "contact_mobile" : "",          // 联系电话,
                    "contact_email" : "",           // 联系邮箱

                    "main_id": 50000,               // 签约主体id
                    "begin_date": "2020-03-19",     // 签约开始时间
                    "end_date": "2025-03-19",       // 签约结束时间
                    "bm_reg_price": 5.11,           // 个体户注册单价
                    "invoice_service_rate": 6.01,   // 开票服务费比率
                    "trans_service_rate": 16.1,     // 转账服务费比率

                    // 渠道对象
                    "channel": {                    
                        "id": "",                   // 渠道id
                        "name": "",                 // 渠道名称
                        "short_name": "",           // 渠道简称   
                    },

                    // 签约主体对象
                    "main": {
                        "name": "name2",            // 签约主体名称
                    }
                },
            ]
        },
        "requestid": "081f13fd9dd5441094487eeff6d0ff6f"
    }

```


## **<a name="sign"> 签约</a>**
[返回到目录](#menu)
##### URL
[/web/saas/merchantCtl/sign]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

    {
        "id": "11247613260000707",      // 商户id
        "main_id": 50000,               // 签约主体id
        "begin_date": "2020-03-19",     // 签约开始时间
        "end_date": "2025-03-19",       // 签约结束时间
        "bm_reg_price": 5.11,           // 个体户注册单价
        "invoice_service_rate": 6.01,   // 开票服务费比率
        "trans_service_rate": 16.1,     // 转账服务费比率
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": 
    }

```


## **<a name="userPage"> 商户账户</a>**
[返回到目录](#menu)
##### URL
[/web/saas/merchantCtl/userPage]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    {
        "currentPage": "1",
        "pageSize": "10",
        "saas_merchant_id": "",             // 商户id
        "realName": "李四",                 // 姓名
        "ucname": ""                        // 账号
    }
```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {
            "count": 1,
            "rows": [
                {
                    "id": "",                       // 账户id
                    "saas_merchant_id": "",         // 商户id
                    "ucname": "",                   // 账号
                    "mobile": "",                   // 手机号
                    "realName": "",                 // 姓名
                    "password": "",                 // 密码
                    "isEnabled": "",                // 是否启用 0否 1是
                    "created_at": "",               // 创建时间

                    // 商户信息
                    "merchant": {
                        "name": "",                 // 商户名称
                        "short_name": "",           // 简称
                    }
                }
            ]
        },
        "requestid": "a4c7b5ce853d45cda37fbd93c7360353"
    }

```


## **<a name="userInfo"> 账号信息</a>**
[返回到目录](#menu)
##### URL
[/web/saas/merchantCtl/userInfo]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    
    {
        "id": 39,                           // 账号id 
    }

```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data":{
            "id": "",                       // 账户id
            "saas_merchant_id": "",         // 商户id
            "ucname": "",                   // 账号
            "mobile": "",                   // 手机号
            "realName": "",                 // 姓名
            "password": "",                 // 密码
            "isEnabled": "",                // 是否启用 0否 1是
            "created_at": "",               // 创建时间

            // 商户信息
            "merchant": {
                "name": "",                 // 商户名称
                "short_name": "",           // 简称
            }
        },
        "requestid": "a4c7b5ce853d45cda37fbd93c7360353"
    }

```


## **<a name="userSave"> 账号编辑</a>**
[返回到目录](#menu)
##### URL
[/web/saas/merchantCtl/userSave]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
    
    {
        "id": 39,                           // 账号id  0添加 其他修改
        "saas_merchant_id": "1124761",      // 商户id
        "realName": "李四",                 // 姓名
        "ucname": "lisi",                   // 账号
        "mobile": "13555555555",            // 手机号
        "password": "78438f14c7c",          // 密码
        "isEnabled": 1
    }

```

#### 返回结果
```javascript
    {
        "status": 0,
        "msg": "success",
        "data": {...},
        "requestid": "a4c7b5ce853d45cda37fbd93c7360353"
    }

```