<a name="menu">目录</a>
1. [订单列表](#page)
1. [查看详情](#info)
1. [订单支付](#offlinePay)

## **<a name="page"> 订单列表</a>**
[返回到目录](#menu)
##### URL
[/web/saas/orderCtl/page]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
订单状态 下拉筛选
1010 待付款, 
2010 待审核, 
2030 审核驳回, 
3010 业务办理中, 
3020 待交付, 
3030 已交付

{
    "currentPage": "1",
    "pageSize": "10",
    "saas_merchant_id": "",         // 商户id 查询条件使用商户字典下拉选择
    "createBegin": "",              // 创建时间 开始
    "createEnd": ""                 // 创建时间 结束
    "legal_idno": ""                // 身份证号码
    "status": ""                    // 订单状态 
}

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 0,
        "rows": [
            {
                "id": "1726724188001516",                   // 订单编号
                "price": 1500,                              // 订单价格
                "pay_voucher_img": "0",                     // 付款凭证
                "audit_remark": "",                         // 审核凭证
                "deliver_man": "",                          // 交付联系人
                "deliver_mobile": "",                       // 交付联系电话
                "deliver_addr": "",                         // 邮寄地址
                "created_at": "2020-03-21 07:45:18",        // 创建时间
                "status": "3030",                           // 订单状态
                "status_name": "已交付"                      // 订单状态名称
                // 订单信息
                "bminfo": {
                    "idcard_front": "11111",                // 身份证正面
                    "idcard_back": "11111",                 // 身份证反面
                    "legal_name": "11111",                  // 法人名称
                    "legal_mobile": "11111",                // 手机号
                    "legal_idno": "11111",                  // 身份证号码
                    "company_names": "11111",               // 个体户名称
                    "bank_front": "11111",                  // 银行卡正面图
                    "bank_back": "11111",                   // 银行卡反面图
                    "bank_name": "11111",                   // 开户行
                    "bank_no": "11111",                     // 银行卡号
                    "bank_mobile": "11111",                 // 预留手机号
                    "domicile_id": "",                      // 注册地id
                    "domicile_name": "",                    // 注册地
                    "business_scope_id": "",                // 经营范围id
                    "business_type": "",                    // 经营范围类型
                    "business_scope": "",                   // 经营范围详情
                }
            }
        ],
        "total": 1
    },
    "requestid": "00521a0a0f094c8d982bf4375fbe91b1"
}
```

## **<a name="info"> 查看详情</a>**
[返回到目录](#menu)
##### URL
[/web/saas/orderCtl/info]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

{
    "id": "1726882554002859"            // 订单id
}

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": {
        // 基本剑术
        "baseInfo": {
            "id": "1726882554002859",               // 订单编号
            "created_at": "2020-03-23 03:44:44",    // 创建时间
            "price": 1500                           // 价格
        },
        // 注册申请信息
        "regInfo": {
            "legal_name": "11111",            // 法人
            "legal_idno": "11111",            // 身份证号码
            "legal_mobile": "11111",          // 联系电话
            "company_names": "11111",         // 个体户名称
            "idcard_front": "11111",          // 身份证图正面
            "idcard_back": "11111"            // 身份证图反面
        },
        // 商户交付信息
        "merchantDeliverInfo": {
            "merchant_deliver_man": "",       // 联系人
            "merchant_deliver_mobile": "",    // 联系电话
            "merchant_deliver_addr": ""       // 邮寄地址
        },
        // 支付信息
        "payInfo": {
            "amount": 0,                      // 付款金额
            "created_at": "2020-03-23",       // 支付时间
            "trade_no": "1123123",            // 资金流水号
            "pay_voucher_img": "123213"       // 付款凭证
        },
        // 订单交付信息
        "deliverInfo": {
            "deliver_express_no": "",           // 快递单号
            "deliver_express_img": ""           // 交接单
        },
    },
    "requestid": "b46e1ff5176143ffa4135a357f93d757"
}


```

## **<a name="offlinePay"> 订单支付</a>**
[返回到目录](#menu)
##### URL
[/web/saas/orderCtl/offlinePay]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript

{
    "ids": ['172...', '172..', ''],     // 订单多选
    "pay_voucher_img": "",              // 付款凭证图
    "merchant_deliver_man": "",         // 联系人
    "merchant_deliver_mobile": "",      // 联系电话
    "merchant_deliver_addr": ""         // 邮寄地址
}

```

#### 返回结果
```javascript

{
    "status": 0,
    "msg": "success",
    "data": null,
    "requestid": "b46e1ff5176143ffa4135a357f93d757"
}


```
